OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PBRep

# PBRep_TFace1 Class Reference

`#include <PBRep_TFace1.hxx>`

Inheritance diagram for PBRep_TFace1:

[legend]

## Public Member Functions
Standard_EXPORT | PBRep_TFace1 ()
| Creates an empty TFace1. .
Standard_EXPORT Handle_PGeom_Surface | Surface () const
Standard_EXPORT Handle_PPoly_Triangulation | Triangulation () const
Standard_EXPORT PTopLoc_Location | Location () const
Standard_EXPORT Standard_Real | Tolerance () const
Standard_EXPORT void | Surface (const Handle(PGeom_Surface)&S)
Standard_EXPORT void | Triangulation (const Handle(PPoly_Triangulation)&T)
Standard_EXPORT void | Location (const PTopLoc_Location &L)
Standard_EXPORT void | Tolerance (const Standard_Real T)
Standard_EXPORT Standard_Boolean | NaturalRestriction () const
Standard_EXPORT void | NaturalRestriction (const Standard_Boolean N)
| PBRep_TFace1 (const Storage_stCONSTclCOM &a)
| Handle (PGeom_Surface) _CSFDB_GetPBRep_TFace1mySurface() const
void | _CSFDB_SetPBRep_TFace1mySurface (const Handle(PGeom_Surface)&p)
| Handle (PPoly_Triangulation) _CSFDB_GetPBRep_TFace1myTriangulation() const
void | _CSFDB_SetPBRep_TFace1myTriangulation (const Handle(PPoly_Triangulation)&p)
const PTopLoc_Location & | _CSFDB_GetPBRep_TFace1myLocation () const
Standard_Real | _CSFDB_GetPBRep_TFace1myTolerance () const
void | _CSFDB_SetPBRep_TFace1myTolerance (const Standard_Real p)
Standard_Boolean | _CSFDB_GetPBRep_TFace1myNaturalRestriction () const
void | _CSFDB_SetPBRep_TFace1myNaturalRestriction (const Standard_Boolean p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_PGeom_Surface | mySurface
Handle_PPoly_Triangulation | myTriangulation
PTopLoc_Location | myLocation
Standard_Real | myTolerance
Standard_Boolean | myNaturalRestriction

## Constructor & Destructor Documentation

Standard_EXPORT PBRep_TFace1::PBRep_TFace1 | ( |  | ) |

PBRep_TFace1::PBRep_TFace1 | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PTopLoc_Location& PBRep_TFace1::_CSFDB_GetPBRep_TFace1myLocation | ( |  | ) | const`[inline]`

Standard_Boolean PBRep_TFace1::_CSFDB_GetPBRep_TFace1myNaturalRestriction | ( |  | ) | const`[inline]`

Standard_Real PBRep_TFace1::_CSFDB_GetPBRep_TFace1myTolerance | ( |  | ) | const`[inline]`

void PBRep_TFace1::_CSFDB_SetPBRep_TFace1myNaturalRestriction | ( | const Standard_Boolean | p | ) | `[inline]`

void PBRep_TFace1::_CSFDB_SetPBRep_TFace1mySurface | ( | const Handle(PGeom_Surface)& | p | ) | `[inline]`

void PBRep_TFace1::_CSFDB_SetPBRep_TFace1myTolerance | ( | const Standard_Real | p | ) | `[inline]`

void PBRep_TFace1::_CSFDB_SetPBRep_TFace1myTriangulation | ( | const Handle(PPoly_Triangulation)& | p | ) | `[inline]`

Standard_EXPORT const PBRep_TFace1::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PTopoDS_TFace1.

PBRep_TFace1::Handle | ( | PPoly_Triangulation |  | ) | const`[inline]`

PBRep_TFace1::Handle | ( | PGeom_Surface |  | ) | const`[inline]`

Standard_EXPORT void PBRep_TFace1::Location | ( | const PTopLoc_Location & | L | ) |

Standard_EXPORT PTopLoc_Location PBRep_TFace1::Location | ( |  | ) | const

Standard_EXPORT void PBRep_TFace1::NaturalRestriction | ( | const Standard_Boolean | N | ) |

Standard_EXPORT Standard_Boolean PBRep_TFace1::NaturalRestriction | ( |  | ) | const

Standard_EXPORT void PBRep_TFace1::Surface | ( | const Handle(PGeom_Surface)& | S | ) |

Standard_EXPORT Handle_PGeom_Surface PBRep_TFace1::Surface | ( |  | ) | const

Standard_EXPORT void PBRep_TFace1::Tolerance | ( | const Standard_Real | T | ) |

Standard_EXPORT Standard_Real PBRep_TFace1::Tolerance | ( |  | ) | const

Standard_EXPORT void PBRep_TFace1::Triangulation | ( | const Handle(PPoly_Triangulation)& | T | ) |

Standard_EXPORT Handle_PPoly_Triangulation PBRep_TFace1::Triangulation | ( |  | ) | const

## Field Documentation

PTopLoc_Location PBRep_TFace1::myLocation`[private]`

Standard_Boolean PBRep_TFace1::myNaturalRestriction`[private]`

Handle_PGeom_Surface PBRep_TFace1::mySurface`[private]`

Standard_Real PBRep_TFace1::myTolerance`[private]`

Handle_PPoly_Triangulation PBRep_TFace1::myTriangulation`[private]`

The documentation for this class was generated from the following file:

- PBRep_TFace1.hxx